﻿using System;
using System.Collections.Generic;
using System.Linq;
using SqlSugar;
namespace HighWayIot.Repository.domain
{
    /// <summary>
    /// 配方同步中间表
    ///</summary>
    [SugarTable("zx_mes_plan_transfer")]
    public class ZxMesPlanTransferEntity
    {
        /// <summary>
        /// 备  注:主键
        /// 默认值:
        ///</summary>
        [SugarColumn(ColumnName = "uuid", IsPrimaryKey = true)]
        public string Uuid { get; set; }

        /// <summary>
        /// 备  注:同步标记
        /// 默认值:
        ///</summary>
        [SugarColumn(ColumnName = "request_flag")]
        public bool? RequestFlag { get; set; }

        /// <summary>
        /// 备  注:成品代号
        /// 默认值:
        ///</summary>
        [SugarColumn(ColumnName = "recipe_code")]
        public string RecipeCode { get; set; } = string.Empty;

        /// <summary>
        /// 备  注:标称尺度
        /// 默认值:
        ///</summary>
        [SugarColumn(ColumnName = "recipe_name")]
        public string RecipeName { get; set; } = string.Empty;

        /// <summary>
        /// 备  注:SPEC名称
        /// 默认值:
        ///</summary>
        [SugarColumn(ColumnName = "spec_name")]
        public string SpecName { get; set; } = string.Empty;

        /// <summary>
        /// 备  注:SPEC编号
        /// 默认值:
        ///</summary>
        [SugarColumn(ColumnName = "spec_code")]
        public string SpecCode { get; set; } = string.Empty;

        /// <summary>
        /// 备  注:更新时间
        /// 默认值:
        ///</summary>
        [SugarColumn(ColumnName = "sync_time")]
        public DateTime? SyncTime { get; set; }

        /// <summary>
        /// 备  注:钢圈尺寸
        /// 默认值:
        ///</summary>
        [SugarColumn(ColumnName = "rim_inch")]
        public int? RimInch { get; set; }

        /// <summary>
        /// 备  注:固定胶宽度
        /// 默认值:
        ///</summary>
        [SugarColumn(ColumnName = "fix_rub_width")]
        public int? FixRubWidth { get; set; }

        /// <summary>
        /// 备  注:胎体重量
        /// 默认值:
        ///</summary>
        [SugarColumn(ColumnName = "tire_weight")]
        public int? TireWeight { get; set; }

        /// <summary>
        /// 备  注:物料名称1基部胶
        /// 默认值:
        ///</summary>
        [SugarColumn(ColumnName = "material_name_1")]
        public string MaterialName1 { get; set; } = string.Empty;

        /// <summary>
        /// 备  注:物料名称1厚度
        /// 默认值:
        /// </summary>
        [SugarColumn(ColumnName = "material_thickness_1")]
        public float? MaterialThickness1 { get; set; }

        /// <summary>
        /// 备  注:贴合层数1基部胶
        /// 默认值:
        ///</summary>
        [SugarColumn(ColumnName = "material_layers_1")]
        public int? MaterialLayers1 { get; set; }

        /// <summary>
        /// 备  注:贴合层数1基部胶2
        /// 默认值:
        ///</summary>
        [SugarColumn(ColumnName = "material_layers_1_2")]
        public int? MaterialLayers12 { get; set; }

        /// <summary>
        /// 备  注:贴合层数1基部胶3
        /// 默认值:
        ///</summary>
        [SugarColumn(ColumnName = "material_layers_1_3")]
        public int? MaterialLayers13 { get; set; }

        /// <summary>
        /// 备  注:宽度1基部胶
        /// 默认值:
        ///</summary>
        [SugarColumn(ColumnName = "material_width_1")]
        public int? MaterialWidth1 { get; set; }

        /// <summary>
        /// 备  注:宽度1基部胶2
        /// 默认值:
        ///</summary>
        [SugarColumn(ColumnName = "material_width_1_2")]
        public int? MaterialWidth12 { get; set; }

        /// <summary>
        /// 备  注:宽度1基部胶3
        /// 默认值:
        ///</summary>
        [SugarColumn(ColumnName = "material_width_1_3")]
        public int? MaterialWidth13 { get; set; }

        /// <summary>
        /// 备  注:物料名称2中层胶
        /// 默认值:
        ///</summary>
        [SugarColumn(ColumnName = "material_name_2")]
        public string MaterialName2 { get; set; } = string.Empty;

        /// <summary>
        /// 备  注:物料名称2厚度
        /// 默认值:
        /// </summary>
        [SugarColumn(ColumnName = "material_thickness_2")]
        public float? MaterialThickness2 { get; set; }


        /// <summary>
        /// 备  注:贴合层数2中层胶
        /// 默认值:
        ///</summary>
        [SugarColumn(ColumnName = "material_layers_2")]
        public int? MaterialLayers2 { get; set; }

         /// <summary>
        /// 备  注:贴合层数2中层胶2
        /// 默认值:
        ///</summary>
        [SugarColumn(ColumnName = "material_layers_2_2")]
        public int? MaterialLayers22 { get; set; }

         /// <summary>
        /// 备  注:贴合层数2中层胶3
        /// 默认值:
        ///</summary>
        [SugarColumn(ColumnName = "material_layers_2_3")]
        public int? MaterialLayers23 { get; set; }

        /// <summary>
        /// 备  注:宽度2中层胶
        /// 默认值:
        ///</summary>
        [SugarColumn(ColumnName = "material_width_2")]
        public int? MaterialWidth2 { get; set; }

        /// <summary>
        /// 备  注:宽度2中层胶2
        /// 默认值:
        ///</summary>
        [SugarColumn(ColumnName = "material_width_2_2")]
        public int? MaterialWidth22 { get; set; }

        /// <summary>
        /// 备  注:宽度2中层胶3
        /// 默认值:
        ///</summary>
        [SugarColumn(ColumnName = "material_width_2_3")]
        public int? MaterialWidth23 { get; set; }

        /// <summary>
        /// 备  注:物料名称3胎面胶
        /// 默认值:
        ///</summary>
        [SugarColumn(ColumnName = "material_name_3")]
        public string MaterialName3 { get; set; } = string.Empty;

        /// <summary>
        /// 备  注:物料名称3厚度
        /// 默认值:
        /// </summary>
        [SugarColumn(ColumnName = "material_thickness_3")]
        public float? MaterialThickness3 { get; set; }

        /// <summary>
        /// 备  注:贴合层数3胎面胶
        /// 默认值:
        ///</summary>
        [SugarColumn(ColumnName = "material_layers_3")]
        public int? MaterialLayers3 { get; set; }

        /// <summary>
        /// 备  注:贴合层数3胎面胶2
        /// 默认值:
        ///</summary>
        [SugarColumn(ColumnName = "material_layers_3_2")]
        public int? MaterialLayers32 { get; set; }

        /// <summary>
        /// 备  注:贴合层数3胎面胶3
        /// 默认值:
        ///</summary>
        [SugarColumn(ColumnName = "material_layers_3_3")]
        public int? MaterialLayers33 { get; set; }

        /// <summary>
        /// 备  注:宽度3胎面胶
        /// 默认值:
        ///</summary>
        [SugarColumn(ColumnName = "material_width_3")]
        public int? MaterialWidth3 { get; set; }

        /// <summary>
        /// 备  注:宽度3胎面胶2
        /// 默认值:
        ///</summary>
        [SugarColumn(ColumnName = "material_width_3_2")]
        public int? MaterialWidth32 { get; set; }

        /// <summary>
        /// 备  注:宽度3胎面胶3
        /// 默认值:
        ///</summary>
        [SugarColumn(ColumnName = "material_width_3_3")]
        public int? MaterialWidth33 { get; set; }

    }

}